[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# SecondOfTheDay

Calculate the number of seconds elapsed since the start of the day

## Declaration

Source position: dateutil.inc line 213

`function SecondOfTheDay(`
`const AValue: TDateTime`
`):LongWord;`

## Arguments

`AValue` |  | Moment in the day

## Function result

Number of seconds elapsed since the start of the day

## Description

SecondOfTheDay returns the number of seconds that have passed since the start of the Day (00:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. 00:00:00.999 return 0.

For an example, see the HourOfTheDay function.

## See also

SecondOfTheYear |  | Calculate the number of seconds elapsed since the start of the year.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
SecondOfTheWeek |  | Calculate the number of seconds elapsed since the start of the week
SecondOfTheHour |  | Calculate the number of seconds elapsed since the start of the hour
SecondOfTheMinute |  | Calculate the number of seconds elapsed since the start of the minute
HourOfTheDay |  | Calculate the hour of a given DateTime value
MinuteOfTheDay |  | Calculate the number of minutes elapsed since the start of the day
MilliSecondOfTheDay |  | Calculate the number of milliseconds elapsed since the start of the day

Documentation generated on: Feb 26 2014